package com.aditisoft.editor;
import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JToolBar;
import com.aditisoft.ui.GenericListener;
/**This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 * @author Anil K Patel Dec 02 2002
 * Copyright (C) 2002 Aditisoft Inc
 * You may use and modify this package for any purpose. Redistribution is
 * permitted, in both source and binary form, provided that this notice
 * remains intact in all source distributions of this package.
 */

/**
 * Toolbar for source editor containing actions like cut,copy,paste,redo,undo. 
 */
public class EditToolbar extends Toolbar {

	private ITextEditor mEditor;
	/**
	 * Create instance of EditToolbar.
	 * @param editor that execute all the actions.
	 */
	public EditToolbar(ITextEditor editor) {
		if (editor != null) {
			mEditor = editor;
			JButton cut = createButton("Cut", "bu_cut.gif");
			cut.addActionListener(
				GenericListener.createActionListener(this, "cut"));
			add(cut);

			JButton copy = createButton("Copy", "bu_copy.gif");
			copy.addActionListener(
				GenericListener.createActionListener(this, "copy"));
			add(copy);

			JButton paste = createButton("Paste", "bu_paste.gif");
			paste.addActionListener(
				GenericListener.createActionListener(this, "paste"));
			add(paste);

			JButton undo = createButton("Undo", "bu_undo.gif");
			undo.addActionListener(
				GenericListener.createActionListener(this, "undo"));
			add(undo);

			JButton redo = createButton("Redo", "bu_redo.gif");
			redo.addActionListener(
				GenericListener.createActionListener(this, "redo"));
			add(redo);
		}
	}

	public void cut(ActionEvent event) {
		mEditor.cut();
	}
	public void copy(ActionEvent event) {
		mEditor.copy();
	}
	public void paste(ActionEvent event) {
		mEditor.paste();
	}
	public void undo(ActionEvent event) {
		mEditor.undo();
	}
	public void redo(ActionEvent event) {
		mEditor.redo();
	}

	
}
