package com.aditisoft.editor;
import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JToolBar;
import com.aditisoft.ui.GenericListener;
/**This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 * @author Anil K Patel Dec 02 2002
 * Copyright (C) 2002 Aditisoft Inc
 * You may use and modify this package for any purpose. Redistribution is
 * permitted, in both source and binary form, provided that this notice
 * remains intact in all source distributions of this package.
 */

/**
 * Toolbar for source editor containing action save. 
 */
public class FileToolbar extends Toolbar {

	private IFileActionsListener mListener;

	/**
	 * Create instance of FileToolbar.
	 * @param listener that execute all the actions.
	 */
	public FileToolbar(IFileActionsListener listener) {
		if (listener != null) {
			mListener = listener;
			JButton save = createButton("Save", "bu_save.gif");
			save.addActionListener(GenericListener.createActionListener(this, "save"));
			add(save);
         JButton exit = createButton("Exit", "bu_exit.gif");
         exit.addActionListener(GenericListener.createActionListener(this, "exit"));
         add(exit);
         JButton saveExit= createButton("Save & Exit", "bu_save_exit.gif");
         saveExit.addActionListener(GenericListener.createActionListener(this, "saveExit"));
         add(saveExit);
		}
	}

	public void save(ActionEvent event) {
		mListener.save();
	}

   public void exit(ActionEvent event) {
      mListener.exit();
   }
   public void saveExit(ActionEvent event) {
      mListener.saveExit();
   }


}
