/**This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 * Created on Dec 4, 2002
 * @author Anil K Patel Dec 04 2002
 * Copyright (C) 2002 Aditisoft Inc
 * You may use and modify this package for any purpose. Redistribution is
 * permitted, in both source and binary form, provided that this notice
 * remains intact in all source distributions of this package.
 */
package com.aditisoft.editor;

import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JToolBar;
import com.aditisoft.ui.GenericListener;

/**
 * Toolbar for WYSIWYG editor containing actions to create lists. 
 */
public class ListToolbar extends Toolbar {
	/** Editor that execute all the actions. */
	private EditorActions mEditorActions;

	/**
	 * Constructor for ListToolbar.
	 */
	public ListToolbar(EditorActions actions) {
		super();
		mEditorActions = actions;

		JButton listnum = createButton("Numbered List", "bu_numlist.gif");
		listnum.addActionListener(
			GenericListener.createActionListener(this, "setOL"));
		add(listnum);

		JButton listbul = createButton("Bulleted List", "bu_bullist.gif");
		listbul.addActionListener(
			GenericListener.createActionListener(this, "setUL"));
		add(listbul);

		JButton indentout = createButton("Indent Back", "bu_outdent.gif");
		indentout.addActionListener(
			GenericListener.createActionListener(this, "removeIndent"));
		add(indentout);

		JButton indentin =
			createButton("Indent Forward", "bu_indent.gif");
		indentin.addActionListener(
			GenericListener.createActionListener(this, "addIndent"));
		add(indentin);

	}

	public void setOL(ActionEvent event) {
		mEditorActions.setOL();
	}
	public void setUL(ActionEvent event) {
		mEditorActions.setUL();
	}
	public void removeIndent(ActionEvent event) {
		mEditorActions.removeIndent();
	}
	public void addIndent(ActionEvent event) {
		mEditorActions.addIndent();
	}

	/**
	 * Internal method to create Button.
	 * @param tooltip Tooltip text for button.
	 * @param iconImageGif icon for this button.
	 * @return JButton
	 */
//	private JButton createButton(String tooltip, String iconImageGif) {
//		JButton button =
//			new JButton(
//				new ImageIcon(ListToolbar.class.getResource(iconImageGif)));
//		button.setBorder(BorderFactory.createLineBorder(Color.black));
//		button.setToolTipText(tooltip);
//		return button;
//	}

}
