/**This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 * Created on Feb 20, 2003
 * Copyright (C) 2003  Aditisoft Inc
 * @author Anil K Patel Feb 21 2003
 * You may use and modify this package for any purpose. Redistribution is
 * permitted, in both source and binary form, provided that this notice
 * remains intact in all source distributions of this package.
 */
package com.aditisoft.editor;

import java.awt.Component;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.FlowLayout;

import javax.swing.JComponent;

public class ModFlowLayout extends FlowLayout {
	JComponent mParent;

	public ModFlowLayout() {
		super();
	}

	public ModFlowLayout(int align) {
		super(align);
	}

	public ModFlowLayout(int align, int hgap, int vgap) {
		super(align, hgap, vgap);
	}

	public void setParent(JComponent parent) {
		mParent = parent;
	}

	/**
	 * Returns the preferred dimensions for this layout given the 
	 * <i>visible</i> components in the specified target container.
	 * @param target the component which needs to be laid out
	 * @return    the preferred dimensions to lay out the
	 *            subcomponents of the specified container
	 * @see Container
	 * @see #minimumLayoutSize
	 * @see       java.awt.Container#getPreferredSize
	 */
	public Dimension preferredLayoutSize(Container target) {
		Dimension sD = super.preferredLayoutSize(target);
		if (mParent != null) {
			int pW = mParent.getWidth();
			int mh = sD.width / pW;
			int newH = sD.height * (mh + 1);
			sD.height = newH;
		}
		return sD;
	}
}
