/**This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 * Created on Feb 04, 2003
 * Copyright (C) 2002  Aditisoft Inc
 */
package com.aditisoft.editor;
import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JComponent;
import javax.swing.JPanel;
import com.aditisoft.ui.GenericListener;

/**
 * @author Harsh Vijaywargiya Feb 04, 2003 3:27:54 PM
 * Panel containing actions for Find/Replace
 */
public class SearchToolbar extends Toolbar {

	private IEditorTools mEditorTools;
	/**
	 * Create an instance of SearchToolbatPanel.
	 * @param parent Parent component of this dialog window.
	 * @param editor Editor to execute actions
	 */
	public SearchToolbar(IEditorTools editorTools) {
		mEditorTools = editorTools;
		JButton find = createButton("Find", "bu_search.gif");
		find.addActionListener(
			GenericListener.createActionListener(this, "showFindDialog"));
		add(find);
		JButton replace = createButton("Replace", "bu_replace.gif");
		replace.addActionListener(
			GenericListener.createActionListener(this, "showReplaceDialog"));
		add(replace);
	}

	public void showFindDialog(ActionEvent event) {
		mEditorTools.showFindDialog();
	}
	public void showReplaceDialog(ActionEvent event) {
		mEditorTools.showReplaceDialog();
	}
	
}
