//Title:        Curriculum Development Tool
//Copyright:    Copyright (c) 2001
//Author:       David Bradford - dbrad@medstat.med.utah.edu
//Company:      Knowledge Weavers - http://medstat.med.utah.edu/kw/
//File:         editor/TableWizard1.java
//Description:  2nd frame in table wizard

package com.aditisoft.editor;

import java.awt.GridLayout;

import javax.swing.JFrame;
import javax.swing.JLabel;

/**
 * This is the second frame in the Table wizard.  This just tells the user that their table has
 * been created and that can start editing it.  It really does need to be here but alot of wizards
 * I've used have a page like this that has a kind of summary.
 *
 * @version 1.0
 * @author David Bradford
 */
public class TableWizard1 extends WizardFrame {

	/**
	 * Creates this page of the wizard.
	 *
	 * @param parent Frame that is parent of this dialog.
	 */
	public TableWizard1(JFrame parent) {
		super(parent);
		init();
	}

	/**
	 * Sets up layout of this frame.
	 */
	public void customize() {
		setTitle("Table Wizard");
		showNextButton(false);
		setFrameLabel1("Create Table");
		JLabel label1 = new JLabel("Your table has been created.  Press the ");
		JLabel label2 = new JLabel("Finish button to add it to your file.");

		centerPanel.setLayout(new GridLayout(2, 0));
		centerPanel.add(label1);
		centerPanel.add(label2);
	}

	/**
	 * Doesn't do anything because this is the last page in the wizard.
	 */
	public void nextAction() {
	}
}
