package com.aditisoft.editor;

import java.awt.Dimension;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Hashtable;

import javax.swing.JFrame;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.FactoryConfigurationError;
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;

import org.w3c.dom.Document;
import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.helpers.DefaultHandler;

/**This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  * @author Anil K Patel Dec 02 2002
 * Copyright (C) 2002 Aditisoft Inc
 * You may use and modify this package for any purpose. Redistribution is
 * permitted, in both source and binary form, provided that this notice
 * remains intact in all source distributions of this package.
 */
public class TestEditor implements IFileActionsListener {
   private static HTMLEditorPanel ep ;
	public static void main(String[] args) {

//		String editDoc =
//			"<?xml version='1.0' encoding='UTF-8'?><CMSDocument><MasterTemplate>Master template Two</MasterTemplate><Title>My Master title</Title>"
//				+ "<BodyTitle> MyBody Title</BodyTitle><MasterTemplateOptionList><Item>/system/modules/org.opencms.welcome/templates/welcome</Item><Item>/system/modules/org.opencms.welcome/templates/welcome</Item></MasterTemplateOptionList>"
//				+ "<DocumentBody><![CDATA[<html><body><p><h1>New Content Just typed This is the body content<h1></body></html> ]]></DocumentBody>"
//				+ "</CMSDocument>";

      String editDoc =
         "<?xml version='1.0' encoding='UTF-8'?><CMSDocument><MasterTemplate Title=\"Master template Two\" Name=\"My Master title\" />"
            + "<MasterTemplateOptionList><Item Title=\"title1\" Name=\"name1\" /><Item Title=\"title2\" Name=\"name2\" /></MasterTemplateOptionList>"
            + "<DocumentBody Title=\"MyBody Title\" ><![CDATA[<html><body>New Content Just typed This is the body content</body></html>]]></DocumentBody>"
            + "</CMSDocument>";

		ep = new HTMLEditorPanel(new TestEditor());
      ep.setCmsDocument(editDoc);
//		ep.getEditor().setEditText("Hello this ext ");
		JFrame f = new JFrame();
		f.setSize(new Dimension(800, 600));
		f.getContentPane().add(ep);
		f.show();
      f.addWindowListener(new WindowAdapter() {
         public void windowClosing(WindowEvent evt) {
            quit();
         }
      });

	}
   
   public static void quit() {
      System.exit(0);
   }
	/**
	 * @see com.aditisoft.editor.IFileActionsListener#save()
	 */
	public void save() {
      System.out.println(ep.getContentText());
	}
	/**
	* @see com.aditisoft.editor.IFileActionsListener#saveExit()
	*/
	public void saveExit() {
	}
	/**
	 * @see com.aditisoft.editor.IFileActionsListener#exit()
	 */
	public void exit() {
	}


}
