/**This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 * Created on Feb 20, 2003
 * Copyright (C) 2002  Aditisoft Inc
 */
package com.aditisoft.editor;

import java.awt.Color;

import javax.swing.AbstractButton;
import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JToolBar;

import com.aditisoft.ui.GenericListener;

public class Toolbar extends JToolBar {

	/**
	 * Internal method to create Button.
	 * @param tooltip Tooltip text for button.
	 * @param iconImageGif icon for this button.
	 * @return JButton
	 */
	protected JButton createButton(String tooltip, String iconImageGif) {
		JButton button = new JButton(new ImageIcon(EditToolbar.class.getResource("icons/" + iconImageGif)));
		button.setBorder(BorderFactory.createLineBorder(Color.black));
		button.setToolTipText(tooltip);
		return button;
	}

   protected void bindActionListener(AbstractButton button,  String targetMethodName){
               button.addActionListener(GenericListener.createActionListener(this, targetMethodName));
   }   
}
