//Title:        Wizard Data
//Copyright:    Copyright (c) 2001
//Author:       David Bradford - bradford@cs.utah.edu
//File:         WizardData.java
//Description:  Contains data for wizard

package com.aditisoft.editor;

import java.util.Hashtable;

/**
 * Stores data for a wizard.  A <code>WizardData</code> contains all the data
 * that has been stored by a wizard.
 *
 * @version 1.0
 * @author David Bradford<BR>
 *		   Brad Schaefer (<A HREF="mailto:schaefer@medstat.med.utah.edu">schaefer@medstat.med.utah.edu</A>)
 */
public class WizardData {
	private Hashtable data = new Hashtable();

	/**
	 * Retrieves requested data.
	 * @return Data requested.
	 * @param key Name of data to retrieve.
	 */
	public Object get(String key) {
		return data.get(key);
	}

	/**
	 * Adds a piece of data.
	 * @param key Name of data to store.
	 * @param value data to store.
	 */
	public void put(String key, Object value) {
		data.put(key, value);
	}

	/**
	 * Removes a piece of data.
	 *
	 * @param key Name of data to remove
	 * @return The Object stored in this WizardData.
	 */
	public Object remove(String key) {
		return data.remove(key);
	}

}
