/**This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 * Created on Dec 4, 2002
 *
 * @author Anil K Patel Dec 04 2002
 * Copyright (C) 2002 Aditisoft Inc
 * You may use and modify this package for any purpose. Redistribution is
 * permitted, in both source and binary form, provided that this notice
 * remains intact in all source distributions of this package.
 */

package com.aditisoft.editor;

import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JToolBar;
import com.aditisoft.ui.GenericListener;

/**
  * @author Anil K Patel Dec 04 2002
 * Copyright (C) 2002 Aditisoft Inc
 */
public class WizardToolbar extends Toolbar {
	private EditorActions mEditorActions;

	/**
	 * Constructor for WizardToolbar.
	 */
	public WizardToolbar(EditorActions actions) {
		super();
		mEditorActions = actions;
		JButton table = createButton("Table Wizard", "bu_table.gif");
		table.addActionListener(
			GenericListener.createActionListener(this, "setTable"));
		add(table);
	}

	public void setTable(ActionEvent event) {
		mEditorActions.setTable();
	}

	

}
