package com.aditisoft.editor.applet;
import java.net.URLEncoder;
/**This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 * @author Anil K Patel Dec 02 2002
 * Copyright (C) 2002 Aditisoft Inc
 * You may use and modify this package for any purpose. Redistribution is
 * permitted, in both source and binary form, provided that this notice
 * remains intact in all source distributions of this package.
 * Code adopted from JAVA Network Programming 2e Example 7-9
 */

/**
 * This class represents all the parameters appended in request.
 */
public class QueryString {

	private String mQuery;
	/**
	 * Create an instance of QueryString with given name,value pair.
	 * @param name 
	 * @param value
	 */
	public QueryString(Object name, Object value) {
		mQuery =
			URLEncoder.encode(name.toString())
				+ "="
				+ URLEncoder.encode(value.toString());
	}
	/**
	 * Empty constructor.
	 * @see java.lang.Object#Object()
	 */
	public QueryString() {
		mQuery = "";
	}
	/**
	 * Adds a name, value pair.
	 * @param name
	 * @param value
	 */
	public synchronized void add(Object name, Object value) {
		if (!mQuery.trim().equals("")) {
			mQuery += "&";
		}
		mQuery += URLEncoder.encode(name.toString())
			+ "="
			+ URLEncoder.encode(value.toString());
	}
	/**
	 * Returns the string representation.
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return mQuery;
	}
}
